#ifndef MAPDEFS_H
#define MAPDEFS_H

#define ERROR -1
#define SHM_FL_KEY 1
#define SEM_FL_KEY0 5000
#define SEM_FL_KEY1 5001
#define SEM_FL_KEY2 5002
#define SEM_FL_KEY3 5003
#define SEM_MUTEX 5004

#ifndef MAXHOSTNAMELEN
#define MAXHOSTNAMELEN 60
#endif

#define N 0
#define NW 1
#define W 2
#define SW 3
#define S 4
#define SE 5
#define E 6
#define NE 7

#define MAX_SEGMENT_ROWS 4
#define MAX_SEGMENT_COLS 4

#define SEGMENT_HEIGHT 800
#define SEGMENT_WIDTH 800
#define MAX_CELL_ROWS 4
#define MAX_CELL_COLS 4
#define MAP_CELL_HEIGHT (SEGMENT_HEIGHT/MAX_CELL_ROWS)
#define MAP_CELL_WIDTH (SEGMENT_WIDTH/MAX_CELL_COLS)
#define NUM_SEGMENTS_IN_ROW 4

#endif

